Create an order
curl --request POST \
--url https://api.bitbybit.studio/customer/api/open/v1/orders \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"lineItems": [
{
"productVariantId": "<string>",
"quantity": 2
}
],
"shippingAddress": {
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"address1": "<string>",
"city": "<string>",
"province": "<string>",
"zip": "<string>",
"address2": "<string>",
"country": "<string>"
},
"customerId": "<string>",
"notes": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.bitbybit.studio/customer/api/open/v1/orders"
payload = {
"lineItems": [
{
"productVariantId": "<string>",
"quantity": 2
}
],
"shippingAddress": {
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"address1": "<string>",
"city": "<string>",
"province": "<string>",
"zip": "<string>",
"address2": "<string>",
"country": "<string>"
},
"customerId": "<string>",
"notes": "<string>",
"tags": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lineItems: [{productVariantId: '<string>', quantity: 2}],
shippingAddress: {
firstName: '<string>',
lastName: '<string>',
phone: '<string>',
address1: '<string>',
city: '<string>',
province: '<string>',
zip: '<string>',
address2: '<string>',
country: '<string>'
},
customerId: '<string>',
notes: '<string>',
tags: ['<string>']
})
};
fetch('https://api.bitbybit.studio/customer/api/open/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"orderId": "<string>",
"orderNumber": "<string>",
"total": 123,
"currency": "<string>",
"notes": "<string>",
"customer": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phoneNumber": "<string>"
},
"lineItems": [
{
"id": "<string>",
"quantity": 123,
"price": 123,
"title": "<string>",
"productVariant": {
"id": "<string>",
"key": "<string>",
"price": 123,
"compareAtPrice": 123,
"inventorySku": "<string>",
"media": "<string>"
}
}
],
"shippingAddress": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"country": "<string>",
"zip": "<string>"
},
"tags": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body"
}
}Orders
Create Order
Create a new order. Provide either a customerId or a customer object to auto-create.
POST
/
orders
Create an order
Authorizations
API key for authentication. Create one in Settings > Developer.
Body
application/json
Response
Order created
Show child attributes
Show child attributes
⌘I

